@import "@/styles/variables";

.spinner {
    margin: auto;
    padding: 2rem;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    border: 0.5rem solid rgb($gray-light, 0.1);
    border-top: 0.5rem solid $secondary-color;
    border-left: 0.5rem solid $tertiary-color;
    animation: spinner 1s linear infinite;
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
        opacity: 0.2;
    }

    50% {
        border: 0.5rem solid rgb($gray-light, 0);
        border-top: 0.5rem solid $secondary-color;
        border-left: 0.5rem solid $tertiary-color;
        opacity: 1;
    }

    100% {
        transform: rotate(360deg);
        opacity: 0.2;
    }
}
